<template>
  <div>
    <v-row>
      <v-col cols="1">
        <v-text-field value="USEETV" label="SERVICE" disabled/>
      </v-col>
    </v-row>
    <v-row v-if="open_ont === 1">
      <v-col cols="1">
        <v-checkbox
            :disabled="disabled"
            v-model="iptv.lan"
            label="LAN 1"
            :value="1"
            class="shrink mr-2 mt-0"
        />
      </v-col>
      <v-col cols="1">
        <v-checkbox
            :disabled="disabled"
            v-model="iptv.lan"
            label="LAN 2"
            :value="2"
            class="shrink mr-2 mt-0"
        />
      </v-col>
      <v-col cols="1">
        <v-checkbox
            :disabled="disabled"
            v-model="iptv.lan"
            label="LAN 3"
            :value="3"
            class="shrink mr-2 mt-0"
        />
      </v-col>
      <v-col cols="1">
        <v-checkbox
            :disabled="disabled"
            v-model="iptv.lan"
            label="LAN 4"
            :value="4"
            class="shrink mr-2 mt-0"
        />
      </v-col>
    </v-row>
    <v-row v-else>
      <v-col cols="1">
        <v-text-field type="number" :disabled="true" value="111" label="VLAN"/>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "Iptv",
  props: ['iptv', 'vendor', 'disabled', 'open_ont', 'status']
}
</script>

<style scoped>

</style>